kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: node:current
    environment:
      REPOSITORY: leecat.art-site
      GIT_USER: inherentlee
      GIT_TOKEN:
        from_secret: GIT_TOKEN
    commands:
      - git config credential.helper '!f() { echo username=$GIT_USER; echo "password=$GIT_TOKEN"; };f'
      - git submodule update --remote --init --merge
      - npm install
      - npm run build
      - apt-get update && apt-get install -y rsync
      - rsync -uavh _site/ $REPOSITORY --delete --exclude .git
      - cd $REPOSITORY
      - git checkout main
      - git config --global --add safe.directory /drone/src/$REPOSITORY
      - git add -A
      - git commit -m "drone build $(TZ=':America/Los_Angeles' date)"
      - git push
